Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360137 - GLib-WARNING **: gmem.c:482: custom memory allocation vtable not supported
Summary: GLib-WARNING **: gmem.c:482: custom memory allocation vtable not supported
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Miroslav Rezanina
QA Contact: Virtualization Bugs
URL:
Whiteboard:
: 1594304 (view as bug list)
Depends On:
Blocks: 1666811 1594304
TreeView+ depends on / blocked
 
Reported: 2016-07-26 06:08 UTC by Gu Nini
Modified: 2019-01-16 15:49 UTC (History)
13 users (show)

Fixed In Version: qemu-kvm-1.5.3-121.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1594304 1666811 (view as bug list)
Environment:
Last Closed: 2016-11-03 20:02:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2585 normal SHIPPED_LIVE Moderate: qemu-kvm security, bug fix, and enhancement update 2016-11-03 12:09:03 UTC

Description Gu Nini 2016-07-26 06:08:03 UTC
Description of problem:
When start a guest on host with latest qemu-kvm version, there is warning prompt: "GLib-WARNING **: gmem.c:482: custom memory allocation vtable not supported"; while no the issue on host with latesst qemu-kvm-rhev version.

[root@intel-5205-32-1 home]# uname -r
3.10.0-475.el7.x86_64
[root@intel-5205-32-1 home]# rpm -qa|grep qemu
libvirt-daemon-driver-qemu-2.0.0-1.el7.x86_64
qemu-img-1.5.3-118.el7.x86_64
qemu-kvm-tools-1.5.3-118.el7.x86_64
ipxe-roms-qemu-20160127-1.git6366fa7a.el7.noarch
qemu-kvm-1.5.3-118.el7.x86_64
qemu-kvm-debuginfo-1.5.3-118.el7.x86_64
qemu-kvm-common-1.5.3-118.el7.x86_64
[root@intel-5205-32-1 home]# 
[root@intel-5205-32-1 home]# 
[root@intel-5205-32-1 home]# /usr/libexec/qemu-kvm -name 'avocado-vt-vm1' -vnc :0 -monitor stdio

(process:13080): GLib-WARNING **: gmem.c:482: custom memory allocation vtable not supported
QEMU 1.5.3 monitor - type 'help' for more information
(qemu) 


Version-Release number of selected component (if applicable):
Kernel: 3.10.0-475.el7.x86_64
Qemu-kvm: qemu-kvm-1.5.3-118.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Following patch already fix the bug, but not merged into latest QEMU 1.5.3 version:
http://git.qemu.org/?p=qemu.git;a=commitdiff;h=98cf48f60aa4999f5b2808569a193a401a390e6a

Comment 2 Ademar Reis 2016-07-26 14:15:42 UTC
(In reply to Gu Nini from comment #0)
> Additional info:
> Following patch already fix the bug, but not merged into latest QEMU 1.5.3
> version:
> http://git.qemu.org/?p=qemu.git;a=commitdiff;
> h=98cf48f60aa4999f5b2808569a193a401a390e6a

commit 98cf48f60aa4999f5b2808569a193a401a390e6a
Author: Paolo Bonzini <pbonzini@redhat.com>
Date:   Wed Sep 16 17:38:44 2015 +0200

    trace: remove malloc tracing
    
    The malloc vtable is not supported anymore in glib, because it broke
    when constructors called g_malloc.  Remove tracing of g_malloc,
    g_realloc and g_free calls.
    
    Note that, for systemtap users, glib also provides tracepoints
    glib.mem_alloc, glib.mem_free, glib.mem_realloc, glib.slice_alloc
    and glib.slice_free.
    
    Signed-off-by: Paolo Bonzini <pbonzini@redhat.com>
    Reviewed-by: Alberto Garcia <berto@igalia.com>
    Message-id: 1442417924-25831-1-git-send-email-pbonzini@redhat.com
    Signed-off-by: Stefan Hajnoczi <stefanha@redhat.com>

Comment 4 Gu Nini 2016-07-29 03:17:34 UTC
Found the same issue on rhel7.2z qemu-kvm-rhev versions:

[root@hp-z800-03 qemu-kvm]# rpm -qa|grep qemu
qemu-img-rhev-2.3.0-31.el7_2.20.x86_64
ipxe-roms-qemu-20160127-1.git6366fa7a.el7.noarch
qemu-kvm-tools-rhev-2.3.0-31.el7_2.20.x86_64
qemu-kvm-common-rhev-2.3.0-31.el7_2.20.x86_64
qemu-kvm-rhev-2.3.0-31.el7_2.20.x86_64
[root@hp-z800-03 qemu-kvm]# 
[root@hp-z800-03 qemu-kvm]# 
[root@hp-z800-03 qemu-kvm]# 
[root@hp-z800-03 qemu-kvm]# /usr/libexec/qemu-kvm -name 'avocado-vt-vm1' -vnc :0 -monitor stdio

(process:13902): GLib-WARNING **: gmem.c:482: custom memory allocation vtable not supported
QEMU 2.3.0 monitor - type 'help' for more information
(qemu)

Comment 5 Miroslav Rezanina 2016-08-02 09:12:07 UTC
Fix included in qemu-kvm-1.5.3-121.el7

Comment 7 Gu Nini 2016-08-04 07:34:55 UTC
Verify the bug on following sw versions:

Host kernel: 3.10.0-481.el7.x86_64
Qemu-kvm: qemu-kvm-1.5.3-121.el7.x86_64


There is no the warning prompt any more:
# /usr/libexec/qemu-kvm -name 'avocado-vt-vm1' -vnc :0 -monitor stdio
QEMU 1.5.3 monitor - type 'help' for more information
(qemu)

Comment 9 errata-xmlrpc 2016-11-03 20:02:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2585.html

Comment 10 Ademar Reis 2018-06-25 20:36:58 UTC
*** Bug 1594304 has been marked as a duplicate of this bug. ***

Comment 11 Peter Bieringer 2019-01-16 13:38:07 UTC
can it be that this bug is only fixed for qemu-kvm, but not for qemu-system-x86_64

While trying to use packer from packer.io and qemu as builder I ran into:

2019/01/16 13:32:11 packer: 2019/01/16 13:32:11 Executing /usr/bin/qemu-system-x86_64: []string{"-vnc", "127.0.0.1:66", "-machine", "type=pc,accel=tcg", "-device", "virtio-net,netdev=user.0", "-name", "centos-vm", "-netdev", "user,id=user.0,hostfwd=tcp::3397-:22", "-cdrom", "/home/****/packer.io/configs/centos7/packer_cache/2c14e2204a6adb446f541f4437d9540f0972ed66637769c6527aea0242ec540f.iso", "-m", "512M", "-drive", "file=builds/centos-vm,if=virtio,cache=writeback,discard=ignore,format=qcow2", "-boot", "once=d", "-display", "sdl"}
2019/01/16 13:32:11 packer: 2019/01/16 13:32:11 Started Qemu. Pid: 50389
2019/01/16 13:32:11 packer: 2019/01/16 13:32:11 Qemu stderr:
2019/01/16 13:32:11 packer: 2019/01/16 13:32:11 Qemu stderr: (process:50389): GLib-WARNING **: 13:32:11.276: gmem.c:489: custom memory allocation vtable not supported
2019/01/16 13:32:11 packer: 2019/01/16 13:32:11 Qemu stderr: Could not initialize SDL(No available video device) - exiting
2019/01/16 13:32:11 ui error: ==> qemu: Error launching VM: Qemu failed to start. Please run with PACKER_LOG=1 to get more info.

rpm -qa |grep ^qemu
qemu-system-x86-2.0.0-1.el7.6.x86_64
qemu-img-1.5.3-160.el7.x86_64
qemu-kvm-1.5.3-160.el7.x86_64
qemu-common-2.0.0-1.el7.6.x86_64
qemu-kvm-common-1.5.3-160.el7.x86_64

System is RHEL 7.6


Note You need to log in before you can comment on or make changes to this bug.